;InnoSetupVersion=2.0.18

[Setup]
AppName=ExcelPipe Evaluation
AppVerName=ExcelPipe Evaluation 2.3
AppId=ExcelPipe
AppVersion=2.3
AppPublisher=Crystal Software Australia
AppPublisherURL=http://www.crystalsoftware.com.au
AppSupportURL=http://www.crystalsoftware.com.au/support.html
AppUpdatesURL=http://www.crystalsoftware.com.au
DefaultDirName={pf}\ExcelPipe
DefaultGroupName=ExcelPipe Evaluation
UninstallDisplayIcon={app}\excelpipe.exe
OutputBaseFilename=excelpipe2
Compression=zip
PrivilegesRequired=none
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\excelpipe.exe"; DestDir: "{app}"; 
Source: "{app}\excelpipe.chm"; DestDir: "{app}"; 
Source: "{app}\CrySo-HP.url"; DestDir: "{app}"; 
Source: "{app}\epHP.url"; DestDir: "{app}"; 
Source: "{app}\purchase.url"; DestDir: "{app}"; 
Source: "{app}\email.url"; DestDir: "{app}"; 
Source: "{app}\order.txt"; DestDir: "{app}"; 
Source: "{app}\corporat.txt"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\products.txt"; DestDir: "{app}"; 
Source: "{app}\whatsnew.txt"; DestDir: "{app}"; 
Source: "{app}\Languages\Chinese(Big5).ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\English.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\German.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\polish.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\Russian.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\Spanish.ini"; DestDir: "{app}\Languages"; 
Source: "{app}\Languages\translate.txt"; DestDir: "{app}\Languages"; 
Source: "{app}\tips.txt"; DestDir: "{app}"; 

[Dirs]
Name: "{app}\Languages"; 

[Registry]
Root: HKCU; Subkey: "Software\Crystal Software"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Crystal Software\ExcelPipe"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Crystal Software"; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\Crystal Software\ExcelPipe"; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".epp"; ValueName: "Content Type"; ValueType: String; ValueData: "application/x-msdownload"; Flags: uninsdeletekey 
Root: HKCR; Subkey: ".epp"; ValueType: String; ValueData: "ExcelPipesettings"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "ExcelPipesettings"; ValueType: String; ValueData: "ExcelPipe settings"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "ExcelPipesettings\shell\open\command"; ValueType: String; ValueData: """{app}\excelpipe.exe"""; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "ExcelPipesettings\shell\open\ddeexec"; ValueType: String; ValueData: "[FileOpen(""%1"")]"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "ExcelPipesettings\shell\open\ddeexec\Application"; ValueType: String; ValueData: "ExcelPipe"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "ExcelPipesettings\shell\open\ddeexec\Topic"; ValueType: String; ValueData: "AppDDE"; Flags: uninsdeletevalue 
Root: HKCR; Subkey: "ExcelPipesettings\DefaultIcon"; ValueType: String; ValueData: "{app}\excelpipe.exe,0"; Flags: uninsdeletevalue 

[Run]
Filename: "{app}\excelpipe.exe"; WorkingDir: "{app}"; Flags: nowait

[Icons]
Name: "{userdesktop}\ExcelPipe Evaluation"; Filename: "{app}\excelpipe.exe"; WorkingDir: "{app}"; 
Name: "{group}\ExcelPipe Evaluation"; Filename: "{app}\excelpipe.exe"; WorkingDir: "{app}"; 
Name: "{group}\Home Page"; Filename: "{app}\epHP.url"; WorkingDir: "{app}"; 
Name: "{group}\Buy Now!"; Filename: "{app}\purchase.url"; WorkingDir: "{app}"; 
Name: "{group}\Order Form"; Filename: "{app}\order.txt"; WorkingDir: "{app}"; 
Name: "{group}\What's New"; Filename: "{app}\whatsnew.txt"; WorkingDir: "{app}"; 
Name: "{group}\Help"; Filename: "{app}\excelpipe.chm"; WorkingDir: "{app}"; 
